HallsRetrieve all halls

Retrieve all halls

Retrieves all halls associated with the company for an authenticated user. The user must have the necessary permissions to access the halls.

curl -X GET "https://wm.novoai.de/v2/halls" \
  -H "Content-Type: application/json" \
  -H "accept: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "X-API-KEY: YOUR_API_KEY"
{
  "status": 1,
  "hall_list": [
    {
      "id": 1,
      "name": "Main Hall",
      "description": "Main manufacturing hall",
      "meta_frontend": {},
      "active": true
    }
  ]
}
GET
/v2/halls
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

JWT Bearer token authentication. Include in the Authorization header as Bearer <token>.

JWT Bearer token authentication. Include in the Authorization header as Bearer <token>.
API Key (header: X-API-KEY)
X-API-KEYstring
Required

API-Access Key authentication. Include the generated key in the X-API-KEY header.

API-Access Key authentication. Include the generated key in the X-API-KEY header.
header
acceptstring
Required

Must be application/json.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT Bearer token authentication. Include in the Authorization header as Bearer \<token\>.

header
X-API-KEYstring
Required

API Key for authentication. API-Access Key authentication. Include the generated key in the X-API-KEY header.

Headers

acceptstring
Required

Must be application/json.

Example:
application/json

Responses

statusinteger
Required

Indicates the success of the request. 1 for success, 0 for failure.

hall_listarray
Required

A list of halls associated with the company.